##
## THIS FILE IS UNDER PUPPET CONTROL. DON'T EDIT IT HERE.
## USE: git clone git+ssh://$USER@puppet.debian.org/srv/puppet.debian.org/git/dsa-puppet.git
##
#  For Bacula release 5.0.1 (24 February 2010) -- debian 5.0.4

Storage {
  Name = <%= @storage_name %>
  SDAddresses = {
    # bacula, up to at least Debian 12 (bookworm), does not resolve a single
    # name to both v4 and v6 addresses.  So we can't just say
    # ip = { addr = <hostname> }.  Boo.
    <%- if @has_ipv4 -%>
    ipv4 = {
      # use the hostname rather than the IP address from LDAP,
      # as /etc/hosts might have a better answer in case of natted hosts.
      addr = <%= @storage_address %>
      port = <%= @port_sd %>
    }
    <%- end -%>
    <%- if @has_ipv6 -%>
    ipv6 = {
      addr = <%= @storage_address %>
      port = <%= @port_sd %>
    }
    <%- end -%>
  }
  WorkingDirectory = "/var/lib/bacula"
  Pid Directory = "/run/bacula"
  Plugin Directory = "/usr/lib/bacula"
  Maximum Concurrent Jobs = 21
  Heartbeat Interval = 60

  TLS Enable = yes
  TLS Require = yes
  TLS Verify Peer = yes
  <%= scope['bacula::bacula_tls_ca_certificate_file'] %>
  <%= scope['bacula::bacula_tls_server_certificate'] %>
  <%= scope['bacula::bacula_tls_server_key'] %>
}

@|"sh -c 'for f in /etc/bacula/storage-conf.d/*.conf ; do echo @${f} ; done'"
